summaryrefslogtreecommitdiff
path: root/configure.ac
diff options
context:
space:
mode:
authorMike Blumenkrantz <zmike@samsung.com>2018-07-17 15:38:57 -0400
committerStefan Schmidt <s.schmidt@samsung.com>2018-07-24 12:25:38 +0200
commitb8d892871876a422e382ae70e7a7c1777cac0bda (patch)
tree4fbb7702d35c59fc9500c0193948917c82a0c9c9 /configure.ac
parentab7d2ebb552ca8ece5e998bbae5ceaf5400e2bb7 (diff)
build: make object rule for eolian tests a versioned conditional
automake 1.16 changed the naming of object files: - When subdir-objects is in effect, Automake will now construct shorter object file names when no programs and libraries name clashes are encountered. This should make the discouraged use of 'foo_SHORTNAME' unnecessary in many cases. https://lists.gnu.org/archive/html/info-gnu/2018-02/msg00008.html this requires that object-specific rules must be changed to match the new naming scheme if newer automake is being used. the $am__api_version contains the version string of the automake version used during autoreconf, so this should be checked during configure time in order to generate the correct makefile rule for that automake version other similar rules should be changed in the same way note that this conditional speculates on behavior of automake versions past 1.16, which are not yet released and thus may change, meaning that this issue may reoccur in future automake versions Differential Revision: https://phab.enlightenment.org/D6594
Diffstat (limited to 'configure.ac')
-rw-r--r--configure.ac2
1 files changed, 1 insertions, 1 deletions
diff --git a/configure.ac b/configure.ac
index 182292e..30c2e0d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -17,7 +17,7 @@ AH_BOTTOM([
17 17
18AM_INIT_AUTOMAKE([1.6 dist-xz no-dist-gzip -Wall color-tests subdir-objects]) 18AM_INIT_AUTOMAKE([1.6 dist-xz no-dist-gzip -Wall color-tests subdir-objects])
19m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])]) 19m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
20 20AM_CONDITIONAL([HAVE_AM_16], [test $(echo "${am__api_version}"|cut -d. -f2) -ge 16])
21# Due to a bug in automake 1.14 we need to use this after AM_INIT_AUTOMAKE 21# Due to a bug in automake 1.14 we need to use this after AM_INIT_AUTOMAKE
22# http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15981 22# http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15981
23AC_USE_SYSTEM_EXTENSIONS 23AC_USE_SYSTEM_EXTENSIONS